|  | reflex::TypeOp< T > Struct Template Reference updated Fri Feb 28 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | List of all members
reflex::TypeOp< T > Struct Template Reference

TypeOp<T>::Type = T, TypeOp<T>::ConstType = const T, TypeOp<T>::NonConstType = non-const T. More...

`#include <traits.h>`

## Public Types

typedef T | Type
| TypeOp<T>::Type = T. More...
typedef const T | ConstType
| TypeOp<T>::ConstType = const T. More...
typedef T | NonConstType
| TypeOp<T>::NonConstType = non-const T. More...

## Detailed Description

### template<typename T>
struct reflex::TypeOp< T >

TypeOp<T>::Type = T, TypeOp<T>::ConstType = const T, TypeOp<T>::NonConstType = non-const T.

<

Template Parameters

  <T> | type to convert

## Member Typedef Documentation

template<typename T>

typedef const T reflex::TypeOp< T >::ConstType

TypeOp<T>::ConstType = const T.

template<typename T>

typedef T reflex::TypeOp< T >::NonConstType

TypeOp<T>::NonConstType = non-const T.

template<typename T>

typedef T reflex::TypeOp< T >::Type

TypeOp<T>::Type = T.

The documentation for this struct was generated from the following file:

- traits.h